| Apache Ignite C++

Public Member Functions | List of all members
ignite::binary::BinaryArrayReader< T > Class Template Reference

Binary array reader. More...

`#include <binary_containers.h>`

## Public Member Functions
| BinaryArrayReader (impl::binary::BinaryReaderImpl *impl, int32_t id, int32_t size)
| Constructor. More...
bool | HasNext ()
| Check whether next element is available for read. More...
T | GetNext ()
| Read next element. More...
int32_t | GetSize ()
| Get array size. More...
bool | IsNull ()
| Check whether array is NULL. More...

## Detailed Description

### template<typename T>
class ignite::binary::BinaryArrayReader< T >

Binary array reader.

Can be used to read array of values of the specific type one by one.

Use GetNext() method to read array value by value while HasNext() method returns true.

## Constructor & Destructor Documentation

## ◆ BinaryArrayReader()

template<typename T>

ignite::binary::BinaryArrayReader< T >::BinaryArrayReader | ( | impl::binary::BinaryReaderImpl * | impl,
|  | int32_t | id,
|  | int32_t | size
| ) |  |
| inline

Constructor.

Internal call. Should not be used by user.

Parameters

  impl | Reader implementation.
  id | Identifier.
  size | Array size.

## Member Function Documentation

## ◆ GetNext()

template<typename T>

T ignite::binary::BinaryArrayReader< T >::GetNext | ( |  | ) |
| inline

Read next element.

Returns
  Next element.

Exceptions

  IgniteError | if there is no element to read.

## ◆ GetSize()

template<typename T>

int32_t ignite::binary::BinaryArrayReader< T >::GetSize | ( |  | ) |
| inline

Get array size.

Returns
  Size or -1 if array is NULL.

## ◆ HasNext()

template<typename T>

bool ignite::binary::BinaryArrayReader< T >::HasNext | ( |  | ) |
| inline

Check whether next element is available for read.

Returns
  True if available.

## ◆ IsNull()

template<typename T>

bool ignite::binary::BinaryArrayReader< T >::IsNull | ( |  | ) |
| inline

Check whether array is NULL.

Returns
  True if the array is NULL.

The documentation for this class was generated from the following file:

- binary_containers.h